<?php

	namespace Mocha\UI\Pages;
	
	use Phast\RenderingEventArgs;
	use Phast\System;
	use Phast\WebPage;

	class SUVPage extends WebPage
	{
		protected function RenderContents()
		{
			$path = System::GetVirtualPath();
			$tenantName = null;
			
			if ($path[1] == "phpinfo.html")
			{
				phpinfo();
			}
			else if ($path[1] == "suvinfo.html")
			{
?>
<h1>SUV Self Service</h1>
<h2>General</h2>
<div class="uwt-panel">
	<div class="uwt-content">
		<table class="uwt-listview">
			<thead>
				<tr>
					<th>Property</th>
					<th>Value</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>Name</td>
					<td>suv</td>
				</tr>
				<tr>
					<td>Instance Id</td>
					<td><?php echo($_SERVER["SERVERNAME"]); ?></td>
				</tr>
			</tbody>
		</table>
		<h3>Actions</h3>
		<button class="uwt-button uwt-color-primary">SUV Logs</button>
	</div>
</div>
<?php
			}
		}
	}

?>